/**
This file is part of a project licensed under the GNU General Public License v3.
This program is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.
This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
You should have received a copy of the GNU General Public License
along with this program. If not, see <https://www.gnu.org/licenses/>.
*/

$tree-item-color: $text !default;
$tree-item-radius: $radius-small !default;
$tree-item-hover-color: $text-strong !default;
$tree-item-hover-background-color: $background !default;
$tree-item-active-color: $link-invert !default;
$tree-item-active-background-color: $link !default;

$tree-list-border-left: 1px solid $border !default;
$tree-list-line-height: 1.25 !default;
$tree-list-link-padding: 0.5em 0.75em !default;
$tree-nested-list-margin: 0.75em !default;
$tree-nested-list-padding-left: 0.75em !default;

.tree {
    font-size: $size-normal;
    // Sizes
    &.is-small {
	font-size: $size-small;
    }
    &.is-medium {
	font-size: $size-medium;
    }
    &.is-large {
	font-size: $size-large;
    }

    .icon {
	vertical-align: baseline;
    }

    .tree-label {

    }

    .tree-list {
	line-height: $tree-list-line-height;

	button {
	    text-align: left;
	    line-height: 1.25;
	    border: none;
	    background: none;
	    cursor: pointer;
	}

	button:focus,
	button:active {
	    box-shadow: none;
	    outline: none;
	    border: none;
	}

	button {
	    font-size: inherit;
	    border-radius: $tree-item-radius;
	    color: $tree-item-color;
	    display: block;
	    padding: $tree-list-link-padding;
	    background: none;

	    &:hover {
		background-color: $tree-item-hover-background-color;
		color: $tree-item-hover-color;
	    }

	    // Modifiers
	    &.is-active {
		background-color: $tree-item-active-background-color;
		color: $tree-item-active-color;
	    }
	}

	.tree-item {
	    .tree-list {
		border-left: $tree-list-border-left;
		margin: $tree-nested-list-margin;
		padding-left: $tree-nested-list-padding-left;
	    }
	}
    }
}
